Bug 75426 - tcsetattr with TCSAFLUSH discards output buffer - should flush
tcsetattr with TCSAFLUSH discards output buffer - should flush
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks: 69077
  Show dependency treegraph
 
Reported: 2002-10-08 10:08 EDT by Matt Wilson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 15:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct behavior (1.79 KB, patch)
2002-10-08 10:32 EDT, Matt Wilson
no flags Details | Diff

  None (edit)
Description Matt Wilson 2002-10-08 10:08:08 EDT
POSIX states that if optional_actions includes the TCSAFLUSH flag "the change
shall occur after all output written to fildes is transmitted, and all input so
far received but not read shall be discarded before the change is made." 
Current kernel behavior flushes (discards) output when you call tcsetattr.
Comment 1 Matt Wilson 2002-10-08 10:32:16 EDT
Created attachment 79384 [details]
patch to correct behavior
Comment 2 Matt Wilson 2003-10-09 15:40:40 EDT
this was integrated in Update 2

Note You need to log in before you can comment on or make changes to this bug.